Source10: kmodtool2
%define kmodtool bash %{SOURCE10}
# %{!?kversion: %define kversion 2.6.18-8.10AX}
%define kversion 2.6.18-8.10AX

%define kmod_name redcastle
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif

%{!?kvariants: %define kvariants %{?upvar} %{?paevar}}


Name:      %{kmod_name}-kmod
Version:   3.0.0
Release:   8.%(echo %{kverrel} | tr - _)
Summary:   RedCastle Kernel Module

Group:     System Environment/Kernel
License:   RedCastle License
Vendor:    RedGate Co., Ltd.
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  i686 x86_64 ia64


%define __prefix_km  $RPM_BUILD_ROOT/lib/modules
%define __postfix_km extra/%{kmod_name}


%description
* RedCastle Kernel Module
RedCastle kernel module package is the core of RedCastle SecureOS.

* RedCastle License to Asianux 3.0
RedCastle is Secure OS product developed by REDGATE Co., Ltd.
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.
For more informations, see the LICENSE file in /usr/share/redcastle/doc.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep


%setup -c
echo
cd RedCastle3/src

for kvariant in %{kvariants}
do
    cp -a rckern2 rckern2-$kvariant
done


%build
cd RedCastle3/src/rckern2

for kvariant in %{kvariants}
do
    cd ../rckern2-$kvariant
    ./linux_AX30_make$kvariant.sh
done


%install
cd RedCastle3/src/rckern2

for kvariant in %{kvariants}
do
    cd ../rckern2-$kvariant
    mkdir -p %{__prefix_km}/%{kversion}$kvariant/%{__postfix_km}
    mv RedCastle.ko %{__prefix_km}/%{kversion}$kvariant/%{__postfix_km}
done


%clean
rm -rf $RPM_BUILD_ROOT


%files
/lib/modules/*/extra/%{kmod_name}/RedCastle.ko


%changelog
* Wed Aug 15 2007 Kity Park <kity@redgate.co.kr>
- Fix the bug that when starting security function, set incorrect security attribute to some processes.

* Wed Jun 20 2007 Kity Park <kity@redgate.co.kr>
- Change the rpm name.
  RedCastle-KM-3.0.0-$rel_num -> kmod-redcastle-3.0.0-$rel_num.$kern_ver
- Support PAE kernel module.
- Change the option value of 'root SU control' function : on/off -> on/warn/off
